package metrics

const (
	namespace          = "frostfs_node"
	innerRingNamespace = "frostfs_ir"

	fstreeSubSystem          = "fstree"
	blobstoreSubSystem       = "blobstore"
	blobovniczaTreeSubSystem = "blobovnicza_tree"
	metabaseSubSystem        = "metabase"
	piloramaSubSystem        = "pilorama"
	engineSubsystem          = "engine"
	gcSubsystem              = "garbage_collector"
	innerRingSubsystem       = "ir"
	morphSubsystem           = "morph"
	morphCacheSubsystem      = "morphcache"
	objectSubsystem          = "object"
	replicatorSubsystem      = "replicator"
	stateSubsystem           = "state"
	treeServiceSubsystem     = "treeservice"
	writeCacheSubsystem      = "writecache"
	grpcServerSubsystem      = "grpc_server"
	policerSubsystem         = "policer"
	commonCacheSubsystem     = "common_cache"

	successLabel          = "success"
	shardIDLabel          = "shard_id"
	modeLabel             = "mode"
	pathLabel             = "path"
	methodLabel           = "method"
	withStorageIDLabel    = "with_storage_id"
	statusLabel           = "status"
	objectTypeLabel       = "object_type"
	typeLabel             = "type"
	notificationTypeLabel = "notification_type"
	invokeTypeLabel       = "invoke_type"
	contractLabel         = "contract"
	containerIDLabelKey   = "cid"
	storageLabel          = "storage"
	operationLabel        = "operation"
	endpointLabel         = "endpoint"
	hitLabel              = "hit"
	cacheLabel            = "cache"

	readWriteMode = "READ_WRITE"
	readOnlyMode  = "READ_ONLY"
	closedMode    = "CLOSED"

	failedToDeleteStatus = "failed_to_delete"
	deletedStatus        = "deleted"
	undefinedStatus      = "undefined"
)
